package com.liquidnet.service.account.wallet.entity;

import java.util.ArrayList;
import java.time.LocalDateTime;
import java.util.List;

public class FinUserExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public FinUserExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andFinIdIsNull() {
            addCriterion("FU0 is null");
            return (Criteria) this;
        }

        public Criteria andFinIdIsNotNull() {
            addCriterion("FU0 is not null");
            return (Criteria) this;
        }

        public Criteria andFinIdEqualTo(String value) {
            addCriterion("FU0 =", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotEqualTo(String value) {
            addCriterion("FU0 <>", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdGreaterThan(String value) {
            addCriterion("FU0 >", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdGreaterThanOrEqualTo(String value) {
            addCriterion("FU0 >=", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdLessThan(String value) {
            addCriterion("FU0 <", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdLessThanOrEqualTo(String value) {
            addCriterion("FU0 <=", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdLike(String value) {
            addCriterion("FU0 like", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotLike(String value) {
            addCriterion("FU0 not like", value, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdIn(List<String> values) {
            addCriterion("FU0 in", values, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotIn(List<String> values) {
            addCriterion("FU0 not in", values, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdBetween(String value1, String value2) {
            addCriterion("FU0 between", value1, value2, "finId");
            return (Criteria) this;
        }

        public Criteria andFinIdNotBetween(String value1, String value2) {
            addCriterion("FU0 not between", value1, value2, "finId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdIsNull() {
            addCriterion("FU1 is null");
            return (Criteria) this;
        }

        public Criteria andUserExtIdIsNotNull() {
            addCriterion("FU1 is not null");
            return (Criteria) this;
        }

        public Criteria andUserExtIdEqualTo(String value) {
            addCriterion("FU1 =", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdNotEqualTo(String value) {
            addCriterion("FU1 <>", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdGreaterThan(String value) {
            addCriterion("FU1 >", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdGreaterThanOrEqualTo(String value) {
            addCriterion("FU1 >=", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdLessThan(String value) {
            addCriterion("FU1 <", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdLessThanOrEqualTo(String value) {
            addCriterion("FU1 <=", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdLike(String value) {
            addCriterion("FU1 like", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdNotLike(String value) {
            addCriterion("FU1 not like", value, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdIn(List<String> values) {
            addCriterion("FU1 in", values, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdNotIn(List<String> values) {
            addCriterion("FU1 not in", values, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdBetween(String value1, String value2) {
            addCriterion("FU1 between", value1, value2, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtIdNotBetween(String value1, String value2) {
            addCriterion("FU1 not between", value1, value2, "userExtId");
            return (Criteria) this;
        }

        public Criteria andUserExtNameIsNull() {
            addCriterion("FU2 is null");
            return (Criteria) this;
        }

        public Criteria andUserExtNameIsNotNull() {
            addCriterion("FU2 is not null");
            return (Criteria) this;
        }

        public Criteria andUserExtNameEqualTo(String value) {
            addCriterion("FU2 =", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameNotEqualTo(String value) {
            addCriterion("FU2 <>", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameGreaterThan(String value) {
            addCriterion("FU2 >", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameGreaterThanOrEqualTo(String value) {
            addCriterion("FU2 >=", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameLessThan(String value) {
            addCriterion("FU2 <", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameLessThanOrEqualTo(String value) {
            addCriterion("FU2 <=", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameLike(String value) {
            addCriterion("FU2 like", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameNotLike(String value) {
            addCriterion("FU2 not like", value, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameIn(List<String> values) {
            addCriterion("FU2 in", values, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameNotIn(List<String> values) {
            addCriterion("FU2 not in", values, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameBetween(String value1, String value2) {
            addCriterion("FU2 between", value1, value2, "userExtName");
            return (Criteria) this;
        }

        public Criteria andUserExtNameNotBetween(String value1, String value2) {
            addCriterion("FU2 not between", value1, value2, "userExtName");
            return (Criteria) this;
        }

        public Criteria andChannelIdIsNull() {
            addCriterion("FU3 is null");
            return (Criteria) this;
        }

        public Criteria andChannelIdIsNotNull() {
            addCriterion("FU3 is not null");
            return (Criteria) this;
        }

        public Criteria andChannelIdEqualTo(String value) {
            addCriterion("FU3 =", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdNotEqualTo(String value) {
            addCriterion("FU3 <>", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdGreaterThan(String value) {
            addCriterion("FU3 >", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdGreaterThanOrEqualTo(String value) {
            addCriterion("FU3 >=", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdLessThan(String value) {
            addCriterion("FU3 <", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdLessThanOrEqualTo(String value) {
            addCriterion("FU3 <=", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdLike(String value) {
            addCriterion("FU3 like", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdNotLike(String value) {
            addCriterion("FU3 not like", value, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdIn(List<String> values) {
            addCriterion("FU3 in", values, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdNotIn(List<String> values) {
            addCriterion("FU3 not in", values, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdBetween(String value1, String value2) {
            addCriterion("FU3 between", value1, value2, "channelId");
            return (Criteria) this;
        }

        public Criteria andChannelIdNotBetween(String value1, String value2) {
            addCriterion("FU3 not between", value1, value2, "channelId");
            return (Criteria) this;
        }

        public Criteria andUserStatusIsNull() {
            addCriterion("FU4 is null");
            return (Criteria) this;
        }

        public Criteria andUserStatusIsNotNull() {
            addCriterion("FU4 is not null");
            return (Criteria) this;
        }

        public Criteria andUserStatusEqualTo(String value) {
            addCriterion("FU4 =", value, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusNotEqualTo(String value) {
            addCriterion("FU4 <>", value, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusGreaterThan(String value) {
            addCriterion("FU4 >", value, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusGreaterThanOrEqualTo(String value) {
            addCriterion("FU4 >=", value, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusLessThan(String value) {
            addCriterion("FU4 <", value, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusLessThanOrEqualTo(String value) {
            addCriterion("FU4 <=", value, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusLike(String value) {
            addCriterion("FU4 like", value, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusNotLike(String value) {
            addCriterion("FU4 not like", value, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusIn(List<String> values) {
            addCriterion("FU4 in", values, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusNotIn(List<String> values) {
            addCriterion("FU4 not in", values, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusBetween(String value1, String value2) {
            addCriterion("FU4 between", value1, value2, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserStatusNotBetween(String value1, String value2) {
            addCriterion("FU4 not between", value1, value2, "userStatus");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoIsNull() {
            addCriterion("FU5 is null");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoIsNotNull() {
            addCriterion("FU5 is not null");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoEqualTo(String value) {
            addCriterion("FU5 =", value, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoNotEqualTo(String value) {
            addCriterion("FU5 <>", value, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoGreaterThan(String value) {
            addCriterion("FU5 >", value, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoGreaterThanOrEqualTo(String value) {
            addCriterion("FU5 >=", value, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoLessThan(String value) {
            addCriterion("FU5 <", value, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoLessThanOrEqualTo(String value) {
            addCriterion("FU5 <=", value, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoLike(String value) {
            addCriterion("FU5 like", value, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoNotLike(String value) {
            addCriterion("FU5 not like", value, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoIn(List<String> values) {
            addCriterion("FU5 in", values, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoNotIn(List<String> values) {
            addCriterion("FU5 not in", values, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoBetween(String value1, String value2) {
            addCriterion("FU5 between", value1, value2, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserSeqNoNotBetween(String value1, String value2) {
            addCriterion("FU5 not between", value1, value2, "userSeqNo");
            return (Criteria) this;
        }

        public Criteria andUserFlagIsNull() {
            addCriterion("FU6 is null");
            return (Criteria) this;
        }

        public Criteria andUserFlagIsNotNull() {
            addCriterion("FU6 is not null");
            return (Criteria) this;
        }

        public Criteria andUserFlagEqualTo(String value) {
            addCriterion("FU6 =", value, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagNotEqualTo(String value) {
            addCriterion("FU6 <>", value, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagGreaterThan(String value) {
            addCriterion("FU6 >", value, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagGreaterThanOrEqualTo(String value) {
            addCriterion("FU6 >=", value, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagLessThan(String value) {
            addCriterion("FU6 <", value, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagLessThanOrEqualTo(String value) {
            addCriterion("FU6 <=", value, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagLike(String value) {
            addCriterion("FU6 like", value, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagNotLike(String value) {
            addCriterion("FU6 not like", value, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagIn(List<String> values) {
            addCriterion("FU6 in", values, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagNotIn(List<String> values) {
            addCriterion("FU6 not in", values, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagBetween(String value1, String value2) {
            addCriterion("FU6 between", value1, value2, "userFlag");
            return (Criteria) this;
        }

        public Criteria andUserFlagNotBetween(String value1, String value2) {
            addCriterion("FU6 not between", value1, value2, "userFlag");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("FU7 is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("FU7 is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(LocalDateTime value) {
            addCriterion("FU7 =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(LocalDateTime value) {
            addCriterion("FU7 <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(LocalDateTime value) {
            addCriterion("FU7 >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("FU7 >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(LocalDateTime value) {
            addCriterion("FU7 <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("FU7 <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<LocalDateTime> values) {
            addCriterion("FU7 in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<LocalDateTime> values) {
            addCriterion("FU7 not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FU7 between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FU7 not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("FU8 is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("FU8 is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(LocalDateTime value) {
            addCriterion("FU8 =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(LocalDateTime value) {
            addCriterion("FU8 <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(LocalDateTime value) {
            addCriterion("FU8 >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(LocalDateTime value) {
            addCriterion("FU8 >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(LocalDateTime value) {
            addCriterion("FU8 <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(LocalDateTime value) {
            addCriterion("FU8 <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<LocalDateTime> values) {
            addCriterion("FU8 in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<LocalDateTime> values) {
            addCriterion("FU8 not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FU8 between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(LocalDateTime value1, LocalDateTime value2) {
            addCriterion("FU8 not between", value1, value2, "updateTime");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}
